# Postman-to-PDF|HTML exporter (Node.js)

## List of contents
- [Technologies used](#technologies-and-software-used)
- [List of libraries used](#list-of-libraries-used)
- [How to use](#how-to-use)

## Technologies used
| Technology name | Link |
|-----------------|------|
| Node.js |[Website](https://nodejs.org/)|

## List of libraries used
| Library name | Purpose | Link |
|--------------|---------|------|
| html-pdf |for convert html to pdf|[Website](https://www.npmjs.com/package/html-pdf)|

# How to use

## List of contents
- [Run application](#run-application)
- [Additionally](#additionally)

## Run application
1. Run the command:
```bash
npm i
```
to set dependencies;
3. Do an export of the collection from Postman;
4. Specify values to variables in app.js;
5. Execute the command:
```bash
npm run start
```
to run the application.

## Additionally
1. Application replaces the Postman environment variable {{api_url}} - to the value of the apiRoute variable;
2. It's important to have subscopes in the scopes and no scope requests if there's a sabscope;
3. If there is a public, user or admin scope, it supplements the request tokens with an authorization token (mandatory or optional).
